import React from 'react';
import PropTypes from 'prop-types';
import AtomIcon, { ATOM_ICON_SIZES } from '@s-ui/react-atom-icon';
import { BASE_CLASS_NAME } from './config';
var SKELETON_CLASS_NAME = BASE_CLASS_NAME + "-skeleton";

var SkeletonCard = function SkeletonCard(_ref) {
  var icon = _ref.icon,
      text = _ref.text;
  return /*#__PURE__*/React.createElement("li", {
    className: SKELETON_CLASS_NAME
  }, /*#__PURE__*/React.createElement("div", {
    className: SKELETON_CLASS_NAME + "-icon"
  }, /*#__PURE__*/React.createElement(AtomIcon, {
    size: ATOM_ICON_SIZES.medium
  }, icon)), /*#__PURE__*/React.createElement("div", {
    className: SKELETON_CLASS_NAME + "-text"
  }, text));
};

SkeletonCard.displayName = 'SkeletonCard';
export default SkeletonCard;